pro ppt_overplot_vectors,Event,pmode
	;
	;	overplots vectors on displayed image
	;
	;	pmode = 0 - pixel coords
	;	pmode = 1 - equatorial degrees
	;
	WIDGET_CONTROL, Event.top, GET_UVALUE=PTR
	;
	n_vec = (*PTR).n_select
	;
	if(n_vec eq 0) then goto, skip_to_end
	;
	;	for each vector, do an oplot from start to end
	;
	for i = 0, n_vec-1 do begin
		;
		if(pmode eq 0) then begin
			x_0 = (*(*PTR).vectors_ptr)[i].x_0
			y_0 = (*(*PTR).vectors_ptr)[i].y_0
			;
			x_1 = (*(*PTR).vectors_ptr)[i].x_1
			y_1 = (*(*PTR).vectors_ptr)[i].y_1
		endif else begin
			x_0 = (*(*PTR).vectors_ptr)[i].RA_0
			y_0 = (*(*PTR).vectors_ptr)[i].Dec_0
			;
			x_1 = (*(*PTR).vectors_ptr)[i].RA_1
			y_1 = (*(*PTR).vectors_ptr)[i].Dec_1
		endelse
		;
		;	get color, thickness
		;
		color_id = get_color(Event,(*(*PTR).vectors_ptr)[i].vec_color)
		thick = (*(*PTR).vectors_ptr)[i].vec_thick
		ps_thick = (*PTR).ps_thick
		;
		thick *= ps_thick
		;
		oplot, [x_0, x_1], [y_0, y_1], psym=-3, symsize=0.003, color=color_id, thick=thick
		;
	endfor
	;
skip_to_end:
;
end

