pro zprint, Event, str
;
;   prints the string str to the base text window
;
;	and, if open, into the log file
;
;ON_ERROR, 2
;
;
WIDGET_CONTROL, Event.top
;
text_ID = WIDGET_INFO( Event.top, FIND_BY_UNAME="Text_Zprint")
;
;	how many lines are present?
;
WIDGET_CONTROL, text_ID, GET_VALUE=window_text
nl = N_ELEMENTS(window_text)
;
;	if str too long, cut into two lines
;
line_len = 110
len = STRLEN(str)
if(len gt line_len) then begin
	slash = STRPOS(str,PATH_SEP(),line_len-15)
	if(slash eq -1) then slash = 90
	slash++
	line_1 = STRMID(str,0,slash)
	line_2 = STRMID(str,slash,len-slash)
	WIDGET_CONTROL, text_ID, SET_VALUE=line_1, /APPEND
	WIDGET_CONTROL, text_ID, SET_VALUE='          '+line_2, /APPEND
	WIDGET_CONTROL, text_ID, SET_TEXT_TOP_LINE=nl-1
endif else begin
	WIDGET_CONTROL, text_ID, SET_VALUE=str, /APPEND
	WIDGET_CONTROL, text_ID, SET_TEXT_TOP_LINE=nl-2
endelse
;
end