HEADER
; IDL Visual Widget Builder Resource file. Version 1
; Generated on:	07/26/2021 11:10.07
VERSION 1
END

PPT_TLB BASE 5 5 1000 730
REALIZE "PPT_Realize"
ONPOSTCREATE "PPT_PostCreation"
TLB
CAPTION "Mimir Software Program - Polarization Plotting Tool (MSP-PPT) - v1.3 - DPC = 20200818"
XPAD = 3
YPAD = 3
SPACE = 3
BEGIN
  Text_Zprint TEXT 7 603 874 84
  FRAME = 1
  SCROLL
  NUMITEMS = 1
  ITEM "<None>"
  NONEWLINE
  WRAP
  WIDTH = 20
  HEIGHT = 1
  END
  Exit_Button PUSHBUTTON 920 630 0 0
  VALUE "Exit"
  ALIGNCENTER
  ONACTIVATE "PPT_Exit_Asserted"
  END
  PPT_Tabs TAB 7 0 957 596
  MULTILINE = 1
  ONTABCHANGE "PPT_Tab_Change"
  BEGIN
    Tab1_Base BASE 0 0 949 570
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "1. Select PPOL Directory and Merging, Comparing, Selecting of POLCATs"
    BEGIN
      Button_Select_PPOL_Directory PUSHBUTTON 28 55 0 0
      VALUE "A.1. Select Existing Top-Level PPOL Directory"
      ALIGNCENTER
      ONACTIVATE "Select_PPOL_Dir"
      END
      WID_LABEL_1 LABEL 134 121 0 0
      VALUE "PPOL Directory"
      ALIGNLEFT
      END
      Text_PPOL_Directory TEXT 39 87 337 21
      NUMITEMS = 1
      ITEM "<None>"
      WIDTH = 60
      HEIGHT = 1
      END
      List_Images LIST 50 186 277 266
      NUMITEMS = 1
      ITEM "<None>"
      ONSELECT "Image_Select"
      WIDTH = 11
      HEIGHT = 2
      END
      WID_LABEL_2 LABEL 31 162 0 0
      VALUE "A.2. Select Image from List (all are Deep Coadded types)"
      ALIGNLEFT
      END
      WID_LABEL_8 LABEL 487 31 190 18
      VALUE "3. Merge, Compare, or Select POLCATs"
      ALIGNLEFT
      END
      Tab1_Tab_Base TAB 418 65 501 352
      FRAME = 1
      MULTILINE = 1
      ONTABCHANGE "T1_Tab_Change"
      BEGIN
        WID_BASE_10 BASE 0 0 491 324
        FRAME = 1
        XPAD = 3
        YPAD = 3
        SPACE = 3
        CAPTION "Merge POLCATs"
        BEGIN
          Button_Select_POLCATs_to_Merge PUSHBUTTON 34 73 0 0
          VALUE "Select POLCATs for Merging"
          ALIGNCENTER
          ONACTIVATE "Select_Merge_POLCATs"
          END
          Text_N_Merge_POLCATs TEXT 41 106 0 0
          NUMITEMS = 1
          ITEM "<None>"
          WIDTH = 8
          HEIGHT = 1
          END
          WID_LABEL_9 LABEL 101 109 0 0
          VALUE "Number of POLCATs to Merge"
          ALIGNLEFT
          END
          Button_Merge_POLCATs PUSHBUTTON 48 237 0 0
          VALUE "Merge POLCATs"
          ALIGNCENTER
          ONACTIVATE "Merge_POLCATs"
          END
          Text_Saved_Merged_POLCAT_Name TEXT 46 192 0 0
          NUMITEMS = 1
          ITEM "<None>"
          WIDTH = 35
          HEIGHT = 1
          END
          WID_LABEL_10 LABEL 291 194 0 0
          VALUE "Merged POLCAT"
          ALIGNLEFT
          END
          Text_N_Stars_in_Merged_POLCAT TEXT 58 268 0 0
          NUMITEMS = 1
          ITEM "<None>"
          WIDTH = 8
          HEIGHT = 1
          END
          WID_LABEL_14 LABEL 116 270 0 0
          VALUE "Total Stars"
          ALIGNLEFT
          END
          Button_Save_Merged_POLCAT PUSHBUTTON 42 157 0 0
          VALUE "Select Name for Merged POLCAT"
          ALIGNCENTER
          ONACTIVATE "Name_Merged_POLCAT"
          END
          WID_LABEL_6 LABEL 12 14 0 0
          VALUE "Merge two or more POLCATs into one Merged POLCAT File"
          ALIGNLEFT
          END
          WID_LABEL_23 LABEL 13 36 0 0
          VALUE "Matching Stars Have Stokes Parameters Averaged using Variance Weighting"
          ALIGNLEFT
          END
        END
        WID_BASE_11 BASE 0 0 491 324
        FRAME = 1
        XPAD = 3
        YPAD = 3
        SPACE = 3
        CAPTION "Compare POLCATs"
        BEGIN
          Button_Select_Comparisons PUSHBUTTON 19 87 0 0
          VALUE "Select POLCATs for Comparing"
          ALIGNCENTER
          ONACTIVATE "Select_POLCATs_to_Compare"
          END
          Button_Compare_POLCATs PUSHBUTTON 33 238 0 0
          VALUE "Compare POLCATs"
          ALIGNCENTER
          ONACTIVATE "Compare_POLCATs"
          END
          Text_Common_Stars TEXT 173 236 0 0
          NUMITEMS = 1
          ITEM "<None>"
          WIDTH = 8
          HEIGHT = 1
          END
          WID_LABEL_11 LABEL 234 240 0 0
          VALUE "Common Stars"
          ALIGNLEFT
          END
          Text_Unique_Stars TEXT 173 265 0 0
          NUMITEMS = 1
          ITEM "<None>"
          WIDTH = 8
          HEIGHT = 1
          END
          WID_LABEL_12 LABEL 234 267 0 0
          VALUE "Unique Stars"
          ALIGNLEFT
          END
          Text_Total_Stars TEXT 332 246 0 0
          NUMITEMS = 1
          ITEM "<None>"
          WIDTH = 8
          HEIGHT = 1
          END
          WID_LABEL_13 LABEL 395 251 0 0
          VALUE "Total Stars"
          ALIGNLEFT
          END
          Button_Select_Combined_POLCAT_Name PUSHBUTTON 24 160 0 0
          VALUE "Select Name for Combined Output POLCAT"
          ALIGNCENTER
          ONACTIVATE "Select_Combined_POLCAT_Name"
          END
          Text_N_Comparison_POLCATs TEXT 47 121 0 0
          WIDTH = 8
          HEIGHT = 1
          END
          WID_LABEL_5 LABEL 111 123 0 0
          VALUE "Number of POLCATs to Compare"
          ALIGNLEFT
          END
          WID_LABEL_24 LABEL 16 17 0 0
          VALUE "Compare two or more POLCATs (usually comparing a Merged with a MetaGrouped)"
          ALIGNLEFT
          END
          WID_LABEL_25 LABEL 17 38 0 0
          VALUE "All un-matched (unique) stars are saved"
          ALIGNLEFT
          END
          WID_LABEL_26 LABEL 17 60 0 0
          VALUE "For each matched star, the one with the lowest polarization uncertainty is saved"
          ALIGNLEFT
          END
          Text_Output_Combined_POLCAT TEXT 30 195 0 0
          WIDTH = 35
          HEIGHT = 1
          END
          WID_LABEL_27 LABEL 261 196 0 0
          VALUE "Combined POLCAT"
          ALIGNLEFT
          END
        END
        Tab1_Tab1_Base BASE 0 0 491 324
        FRAME = 1
        XPAD = 3
        YPAD = 3
        SPACE = 3
        CAPTION "Select POLCAT for Analysis and Plotting"
        BEGIN
          Button_Select_Analysis_POLCAT PUSHBUTTON 27 77 0 0
          VALUE "Select POLCAT for Analysis"
          ALIGNCENTER
          ONACTIVATE "Select_Analysis_POLCAT"
          END
          Text_Analysis_POLCAT TEXT 33 117 0 0
          NUMITEMS = 1
          ITEM "<None>"
          WIDTH = 40
          HEIGHT = 1
          END
          WID_LABEL_16 LABEL 298 119 0 0
          VALUE "POLCAT to Analyze"
          ALIGNLEFT
          END
          WID_LABEL_15 LABEL 23 19 0 0
          VALUE "Select a POLCAT (of any type) for the remainder of the analysis"
          ALIGNLEFT
          END
          WID_LABEL_28 LABEL 50 42 0 0
          VALUE "(includes plotting and application of stellar selection criteria)"
          ALIGNLEFT
          END
          Text_POLCAT_Type TEXT 36 170 0 0
          WIDTH = 20
          HEIGHT = 1
          END
          WID_LABEL_29 LABEL 178 172 0 0
          VALUE "Type of POLCAT found"
          ALIGNLEFT
          END
        END
      END
      WID_LABEL_41 LABEL 18 22 0 0
      VALUE "1. Select Image and Directory, using Method A or Method B below"
      ALIGNLEFT
      END
      Button_B_Select_Image PUSHBUTTON 19 483 0 0
      VALUE "B.1. Direct Image Selection"
      ALIGNCENTER
      ONACTIVATE "Select_B_Image"
      END
      Button_B_Select_Directory PUSHBUTTON 17 519 0 0
      VALUE "B.2. Select POLCATs Directory"
      ALIGNCENTER
      ONACTIVATE "Select_B_Directory"
      END
    END
    WID_BASE_7 BASE 0 0 949 570
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "2. Plots and Selection Criteria"
    BEGIN
      Draw_sP_vs_mH DRAW 558 30 379 360
      ONMOTION "sP_Plot_Handler"
      ONKEYBOARD "sP_Plot_Handler"
      END
      WID_LABEL_4 LABEL 601 5 0 0
      VALUE "Pol. Uncert. vs Magnitude Plot"
      ALIGNLEFT
      END
      Draw_PSNR_vs_mH DRAW 155 31 398 357
      ONMOTION "PSNR_Plot_Handler"
      ONKEYBOARD "PSNR_Plot_Handler"
      END
      WID_LABEL_3 LABEL 271 5 0 0
      VALUE "PSNR vs Magnitude Plot"
      ALIGNLEFT
      END
      WID_LABEL_0 LABEL 15 12 0 0
      VALUE "Set Selection Limits"
      ALIGNLEFT
      END
      Text_Mag_Limit TEXT 61 42 0 0
      NUMITEMS = 1
      ITEM "<None>"
      EDITABLE
      ALLEVENTS
      ONINSERTCHAR "Set_Mag_Limit"
      ONINSERTSTRING "Set_Mag_Limit"
      WIDTH = 12
      HEIGHT = 1
      END
      WID_LABEL_17 LABEL 13 46 0 0
      VALUE "Mag <="
      ALIGNLEFT
      END
      Text_PSNR_Limit TEXT 61 74 0 0
      NUMITEMS = 1
      ITEM "<None>"
      EDITABLE
      ALLEVENTS
      ONINSERTCHAR "Set_PSNR_Limit"
      ONINSERTSTRING "Set_PSNR_Limit"
      ONDELETE "Set_PSNR_Limit"
      ONSELECT "Set_PSNR_Limit"
      WIDTH = 12
      HEIGHT = 1
      END
      WID_LABEL_18 LABEL 11 75 0 0
      VALUE "PSNR >="
      ALIGNLEFT
      END
      Text_sP_Limit TEXT 59 150 0 0
      NUMITEMS = 1
      ITEM "<None>"
      EDITABLE
      ALLEVENTS
      ONINSERTCHAR "Set_sP_Limit"
      ONINSERTSTRING "Set_sP_Limit"
      ONDELETE "Set_sP_Limit"
      ONSELECT "Set_sP_Limit"
      WIDTH = 12
      HEIGHT = 1
      END
      WID_LABEL_19 LABEL 8 150 0 0
      VALUE "sig_P <="
      ALIGNLEFT
      END
      Text_Selected_Stars TEXT 13 248 0 0
      NUMITEMS = 1
      ITEM "<None>"
      WIDTH = 8
      HEIGHT = 1
      END
      WID_LABEL_20 LABEL 82 251 0 0
      VALUE "Selected"
      ALIGNLEFT
      END
      Text_Rejected_Stars TEXT 13 280 0 0
      NUMITEMS = 1
      ITEM "<None>"
      WIDTH = 8
      HEIGHT = 1
      END
      WID_LABEL_21 LABEL 77 285 0 0
      VALUE "Rejected"
      ALIGNLEFT
      END
      Button_Write_Selected PUSHBUTTON 12 451 0 0
      VALUE "Write POLCAT of Selected Data"
      ALIGNCENTER
      ONACTIVATE "Write_Selected_Data"
      END
      Button_Write_Rejected PUSHBUTTON 13 486 0 0
      VALUE "Write POLCAT of Rejected Data"
      ALIGNCENTER
      ONACTIVATE "Write_Rejected_Data"
      END
      Text_sPA_Limit TEXT 10 105 0 0
      NUMITEMS = 1
      ITEM "<None>"
      WIDTH = 8
      HEIGHT = 1
      END
      WID_LABEL_30 LABEL 68 108 0 0
      VALUE "Resulting sig_PA"
      ALIGNLEFT
      END
      WID_LABEL_31 LABEL 46 222 0 0
      VALUE "Stars"
      ALIGNLEFT
      END
      Text_This_POLCAT TEXT 19 400 0 0
      NUMITEMS = 1
      ITEM "<None>"
      WIDTH = 45
      HEIGHT = 1
      END
      WID_LABEL_32 LABEL 304 403 0 0
      VALUE "Displayed POLCAT Values"
      ALIGNLEFT
      END
      Text_Upper TEXT 43 317 0 0
      NUMITEMS = 1
      ITEM "<None>"
      WIDTH = 8
      HEIGHT = 1
      END
      WID_LABEL_33 LABEL 102 321 0 0
      VALUE "Low-P"
      ALIGNLEFT
      END
      Text_False TEXT 41 348 0 0
      NUMITEMS = 1
      ITEM "<None>"
      WIDTH = 8
      HEIGHT = 1
      END
      WID_LABEL_34 LABEL 99 347 0 0
      VALUE "Faint"
      ALIGNLEFT
      END
      Button_PS_Plot_PSNR_vs_Mag PUSHBUTTON 273 532 0 0
      VALUE "Postscript Print PSNR vs Mag Plot"
      ALIGNCENTER
      ONACTIVATE "Print_PSNR_vs_Mag"
      END
      Button_PS_Plot_sP_vs_Mag PUSHBUTTON 687 535 0 0
      VALUE "Postscript Print sP vs Mag Plot"
      ALIGNCENTER
      ONACTIVATE "Print_sP_vs_Mag"
      END
      Droplist_T2_Selected_Color DROPLIST 440 427 0 0
      CAPTION "Color for Selected Stars"
      NUMITEMS = 3
      ITEM "Red"
      ITEM "Blue"
      ITEM "Green"
      ONSELECT "Select_T2_Selected_Color"
      END
      Droplist_T2_LowP_Color DROPLIST 406 455 0 0
      CAPTION "Color for Low-P Rejected Stars"
      NUMITEMS = 3
      ITEM "Green"
      ITEM "Red"
      ITEM "Blue"
      ONSELECT "Select_T2_LowP_Color"
      END
      Droplist_T2_Faint_Color DROPLIST 412 483 0 0
      CAPTION "Color for Faint Rejected Stars"
      NUMITEMS = 3
      ITEM "Blue"
      ITEM "Green"
      ITEM "Red"
      ONSELECT "Select_T2_Faint_Color"
      END
      Droplist_Divider_Color DROPLIST 682 450 0 0
      CAPTION "Color for Separating Lines"
      NUMITEMS = 1
      ITEM "magenta"
      ONSELECT "Select_Divider_Color"
      END
    END
    WID_BASE_8 BASE 0 0 949 570
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Vector and Circle Display Properties"
    BEGIN
      WID_BASE_5 BASE 38 255 362 111
      FRAME = 1
      XPAD = 3
      YPAD = 3
      SPACE = 3
      CAPTION "IDL"
      BEGIN
        Droplist_Reference_Color DROPLIST 48 70 0 0
        CAPTION "Reference Vector Color"
        NUMITEMS = 9
        ITEM "Black"
        ITEM "White"
        ITEM "Red"
        ITEM "Green"
        ITEM "Blue"
        ITEM "Cyan"
        ITEM "Magenta"
        ITEM "Yellow"
        ITEM "Orange"
        ONSELECT "Select_Reference_Color"
        END
        Droplist_Reference_Length DROPLIST 27 22 0 0
        CAPTION "Reference Vector Length"
        NUMITEMS = 6
        ITEM "0.5%"
        ITEM "1.0%"
        ITEM "2.0%"
        ITEM "3.0%"
        ITEM "4.0%"
        ITEM "No Ref. Vector"
        ONSELECT "Select_Reference_Length"
        END
      END
      WID_BASE_6 BASE 38 156 360 87
      FRAME = 1
      XPAD = 3
      YPAD = 3
      SPACE = 3
      CAPTION "IDL"
      BEGIN
        Droplist_Vector_Thickness DROPLIST 67 49 0 0
        CAPTION "Vector Thickness"
        NUMITEMS = 5
        ITEM "1 unit"
        ITEM "2 units"
        ITEM "3 units"
        ITEM "4 units"
        ITEM "by PSNR"
        ONSELECT "Select_Vector_Thickness"
        END
        Droplist_Vector_Length DROPLIST 56 16 0 0
        CAPTION "Vector Length Scale"
        NUMITEMS = 5
        ITEM "10 pixels"
        ITEM "20 pixels"
        ITEM "30 pixels"
        ITEM "40 pixels"
        ITEM "50 pixels"
        ONSELECT "Select_Vector_Length"
        END
      END
      WID_BASE_20 BASE 38 21 362 124
      FRAME = 1
      XPAD = 3
      YPAD = 3
      SPACE = 3
      CAPTION "IDL"
      BEGIN
        WID_BASE_17 BASE 68 93 0 0
        COLUMNS = 1
        EXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Radio_Length_Pol PUSHBUTTON -1 -1 0 0
          VALUE "Polarization Percentage"
          ALIGNLEFT
          ONACTIVATE "Toggle_Length_Pol"
          END
        END
        WID_BASE_16 BASE 40 32 0 0
        COLUMNS = 1
        EXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Radio_Length_Uniform PUSHBUTTON -1 -1 0 0
          VALUE "Uniform Length"
          ALIGNLEFT
          ONACTIVATE "Toggle_Length_Uniform"
          END
        END
        WID_LABEL_7 LABEL 21 11 0 0
        VALUE "Vector LENGTHS uniform, log P, or linear in P percentage?"
        ALIGNLEFT
        END
        WID_BASE_12 BASE 57 62 0 0
        COLUMNS = 1
        EXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Radio_Length_Log PUSHBUTTON -1 -1 0 0
          VALUE "Log(P) length"
          ALIGNLEFT
          ONACTIVATE "Toggle_Length_Log"
          END
        END
      END
      WID_BASE_21 BASE 426 21 366 277
      FRAME = 1
      XPAD = 3
      YPAD = 3
      SPACE = 3
      CAPTION "IDL"
      BEGIN
        Droplist_PSNR_2 DROPLIST 197 203 0 0
        CAPTION "PSNR > 2"
        NUMITEMS = 9
        ITEM "Black"
        ITEM "White"
        ITEM "Red"
        ITEM "Green"
        ITEM "Blue"
        ITEM "Cyan"
        ITEM "Magenta"
        ITEM "Yellow"
        ITEM "Orange"
        ONSELECT "Select_PSNR_2"
        END
        Droplist_PSNR_3 DROPLIST 196 171 0 0
        CAPTION "PSNR > 3"
        NUMITEMS = 9
        ITEM "Black"
        ITEM "White"
        ITEM "Red"
        ITEM "Green"
        ITEM "Blue"
        ITEM "Cyan"
        ITEM "Magenta"
        ITEM "Yellow"
        ITEM "Orange"
        ONSELECT "Select_PSNR_3"
        END
        Droplist_PSNR_5 DROPLIST 197 140 0 0
        CAPTION "PSNR > 5"
        NUMITEMS = 9
        ITEM "Black"
        ITEM "White"
        ITEM "Red"
        ITEM "Green"
        ITEM "Blue"
        ITEM "Cyan"
        ITEM "Magenta"
        ITEM "Yellow"
        ITEM "Orange"
        ONSELECT "Select_PSNR_5"
        END
        Droplist_PSNR_7 DROPLIST 195 108 0 0
        CAPTION "PSNR > 7"
        NUMITEMS = 9
        ITEM "Black"
        ITEM "White"
        ITEM "Red"
        ITEM "Green"
        ITEM "Blue"
        ITEM "Cyan"
        ITEM "Magenta"
        ITEM "Yellow"
        ITEM "Orange"
        ONSELECT "Select_PSNR_7"
        END
        Droplist_PSNR_10 DROPLIST 188 76 0 0
        CAPTION "PSNR > 10"
        NUMITEMS = 9
        ITEM "Black"
        ITEM "White"
        ITEM "Red"
        ITEM "Green"
        ITEM "Blue"
        ITEM "Cyan"
        ITEM "Magenta"
        ITEM "Yellow"
        ITEM "Orange"
        ONSELECT "Select_PSNR_10"
        END
        Droplist_Uniform_Color DROPLIST 27 80 0 0
        CAPTION "Color"
        NUMITEMS = 9
        ITEM "Black"
        ITEM "White"
        ITEM "Red"
        ITEM "Green"
        ITEM "Blue"
        ITEM "Cyan"
        ITEM "Magenta"
        ITEM "Yellow"
        ITEM "Orange"
        ONSELECT "Select_Uniform_Color"
        END
        WID_BASE_19 BASE 190 37 0 0
        COLUMNS = 1
        EXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Radio_Color_PSNR PUSHBUTTON -1 -1 0 0
          VALUE "Vector Color by PSNR"
          ALIGNLEFT
          ONACTIVATE "Toggle_Color_PSNR"
          END
        END
        WID_LABEL_22 LABEL 90 11 0 0
        VALUE "Vector COLORS Uniform or by PSNR?"
        ALIGNLEFT
        END
        WID_BASE_18 BASE 27 37 0 0
        COLUMNS = 1
        EXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Radio_Color_Uniform PUSHBUTTON -1 -1 0 0
          VALUE "Uniform Color"
          ALIGNLEFT
          ONACTIVATE "Toggle_Color_Uniform"
          END
        END
        Droplist_PSNR_lt_2 DROPLIST 196 238 0 0
        CAPTION "PSNR < 2"
        NUMITEMS = 3
        ITEM "Black   "
        ITEM "Magenta"
        ITEM ""
        ONSELECT "Select_PSNR_lt_2"
        END
      END
      WID_BASE_2 BASE 39 377 362 115
      FRAME = 1
      XPAD = 3
      YPAD = 3
      SPACE = 3
      CAPTION "IDL"
      BEGIN
        WID_LABEL_37 LABEL 32 14 0 0
        VALUE "Display Upper Limits?"
        ALIGNLEFT
        END
        WID_BASE_3 BASE 31 36 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Checkbox_Show_Circles PUSHBUTTON -1 -1 0 0
          VALUE "Display Upper Limits as Circles"
          ALIGNLEFT
          ONACTIVATE "Toggle_Show_Circles"
          END
        END
        WID_BASE_4 BASE 30 71 0 0
        COLUMNS = 1
        NONEXCLUSIVE
        CAPTION "IDL"
        BEGIN
          Checkbox_Separate_Upper_Limits PUSHBUTTON -1 -1 0 0
          VALUE "Separate Low-P from Faint Star Upper Limits"
          ALIGNLEFT
          ONACTIVATE "Toggle_Split_Upper_Limits"
          END
        END
      END
      WID_BASE_9 BASE 428 305 366 190
      FRAME = 1
      XPAD = 3
      YPAD = 3
      SPACE = 3
      CAPTION "IDL"
      BEGIN
        WID_LABEL_38 LABEL 111 15 0 0
        VALUE "Upper Limits Color Codings"
        ALIGNLEFT
        END
        Droplist_Faint_Color DROPLIST 27 65 0 0
        CAPTION "Color"
        NUMITEMS = 9
        ITEM "Black"
        ITEM "White"
        ITEM "Red"
        ITEM "Green"
        ITEM "Blue"
        ITEM "Cyan"
        ITEM "Magenta"
        ITEM "Yellow"
        ITEM "Orange"
        ONSELECT "Select_Faint_Color"
        END
        Droplist_High_LowP_Color DROPLIST 195 69 0 0
        CAPTION "-log(PSNR)>5"
        NUMITEMS = 9
        ITEM "Black"
        ITEM "White"
        ITEM "Red"
        ITEM "Green"
        ITEM "Blue"
        ITEM "Cyan"
        ITEM "Magenta"
        ITEM "Yellow"
        ITEM "Orange"
        ONSELECT "Select_High_LowP_Color"
        END
        WID_LABEL_39 LABEL 12 43 0 0
        VALUE "Faint Stars (Or All Upper Limits)"
        ALIGNLEFT
        END
        Droplist_Med_LowP_Color DROPLIST 196 104 0 0
        CAPTION "-log(PSNR)>3"
        NUMITEMS = 9
        ITEM "Black"
        ITEM "White"
        ITEM "Red"
        ITEM "Green"
        ITEM "Blue"
        ITEM "Cyan"
        ITEM "Magenta"
        ITEM "Yellow"
        ITEM "Orange"
        ONSELECT "Select_Med_LowP_Color"
        END
        Droplist_Low_LowP_Color DROPLIST 196 145 0 0
        CAPTION "-log(PSNR)<3"
        NUMITEMS = 9
        ITEM "Black"
        ITEM "White"
        ITEM "Red"
        ITEM "Green"
        ITEM "Blue"
        ITEM "Cyan"
        ITEM "Magenta"
        ITEM "Yellow"
        ITEM "Orange"
        ONSELECT "Select_Low_LowP_Color"
        END
        WID_LABEL_40 LABEL 209 43 0 0
        VALUE "Low-P Star (by -log(PSNR))"
        ALIGNLEFT
        END
        Droplist_Upper_Radius DROPLIST 31 103 0 0
        CAPTION "Circle Radius"
        NUMITEMS = 5
        ITEM "5 pixels"
        ITEM "8 pixels"
        ITEM "10 pixels"
        ITEM "20 pixels"
        ITEM "25 pixels"
        ONSELECT "Select_Upper_Radius"
        END
        Droplist_Upper_Thickness DROPLIST 14 140 0 0
        CAPTION "Circle Thickness"
        NUMITEMS = 4
        ITEM "1 unit"
        ITEM "2 units"
        ITEM "3 units"
        ITEM "4 units"
        ONSELECT "Select_Upper_Thickness"
        END
      END
    END
    WID_BASE_0 BASE 0 0 949 570
    XPAD = 3
    YPAD = 3
    SPACE = 3
    CAPTION "Provisional Plot and File Saving"
    BEGIN
      Draw_Final_Plot DRAW 7 4 717 562
      TRACKEVENT "Final_Plot_Handler"
      ONMOTION "Final_Plot_Handler"
      ONKEYBOARD "Final_Plot_Handler"
      END
      Button_Write_Region PUSHBUTTON 765 298 0 0
      VALUE "Write DS9 Region File"
      ALIGNCENTER
      ONACTIVATE "Write_DS9_Region_File"
      END
      Button_Write_Postscript PUSHBUTTON 763 362 0 0
      VALUE "Write Postscript Plot File"
      ALIGNCENTER
      ONACTIVATE "Write_Postscript_File"
      END
      WID_BASE_1 BASE 756 67 0 0
      COLUMNS = 1
      NONEXCLUSIVE
      CAPTION "IDL"
      BEGIN
        Button_Plot_Title PUSHBUTTON -1 -1 0 0
        VALUE "Plot Filename as Title"
        ALIGNLEFT
        ONACTIVATE "Toggle_Plot_Title"
        END
      END
      Text_Plot_Offset TEXT 756 114 0 0
      NUMITEMS = 1
      ITEM "<None>"
      EDITABLE
      ALLEVENTS
      ONINSERTCHAR "Edit_Plot_Offset"
      ONINSERTSTRING "Edit_Plot_Offset"
      ONDELETE "Edit_Plot_Offset"
      ONSELECT "Edit_Plot_Offset"
      WIDTH = 8
      HEIGHT = 1
      END
      Text_Plot_Range TEXT 759 152 0 0
      NUMITEMS = 1
      ITEM "<None>"
      EDITABLE
      ALLEVENTS
      ONINSERTCHAR "Edit_Plot_Range"
      ONINSERTSTRING "Edit_Plot_Range"
      ONDELETE "Edit_Plot_Range"
      ONSELECT "Edit_Plot_Range"
      WIDTH = 8
      HEIGHT = 1
      END
      WID_LABEL_35 LABEL 818 118 0 0
      VALUE "Plot Offset (log counts)"
      ALIGNLEFT
      END
      WID_LABEL_36 LABEL 823 153 0 0
      VALUE "Plot Range (dex)"
      ALIGNLEFT
      END
    END
  END
END
