pro ppt_select_best, Q, sQ, U, sU, Qx, sQx, Ux, sUx, Px, sPx, PAx, sPAx
;
;	selects best star, based on lowest sP
;
;	DPC	20111228
;		20200117 copied from ppt_compute_means and modified
;
P_raw = sqrt(Q^2 + U^2)
sP = (1./P_raw) * sqrt((U*sU)^2 + (Q*sQ)^2)
;
sP_min = min(sP,ind_best)
;
;	lowest is ind_best
;
Qx = Q[ind_best]
sQx = sQ[ind_best]
Ux = U[ind_best]
sUx = sU[ind_best]
;
Px = P_raw[ind_best]
sPx = sP_min
;
if(Px gt sPx) then begin
	Px = sqrt(Px^2 - sPx^2)
	sPAx = 0 > ( (28.65 * sPx / Px) < 180.0)
	PAx = 0.5 * (180.0 / !PI) * ATAN(Ux, Qx)
	PAx = (720.0d0 + PAx) mod 180.0d0
endif else begin
	Px = 0.0
	sPAx = 180.0
	PAx = 0.0
endelse
;
end