function sexig, deg
;
;	returns 3-tuple of HH, MM, SS.s values from decimal deg input
;
out = dblarr(3)
;
if(deg lt 0.0) then the_sign = -1.0d0 else the_sign = 1.0d0
;
this_deg = abs(deg)
;
hh = floor(this_deg)
mm = floor((this_deg - hh)*60.0d0)
ss = 3600.0d0*(this_deg - hh - mm/60.0d0)
;
hh = the_sign * hh
;
out = [hh, mm, ss]
;
return, out
end